Fixing keywords case sensitive

2009-04-15 14:05 - Derek Montgomery

Status: Closed Start date: 2009-04-15

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Administration Estimated time: 0.00 hour

Target version:    

Resolution: No feedback Affected version:  

Description

Seems to me Fixing keywords have case sensitiveness activated... Should be turned off imo, since a word starting a sentence will

have a cap, while mid sentence it won't. Both should be able to trigger closing of tickets though.

Thanks.

History

#1 - 2009-04-21 14:25 - Jean-Philippe Lang

Fixing keywords should be case insensitive. See this test: source:/trunk/test/unit/changeset_test.rb@2637#L26

Can you post your exact 'Fixing keywords' setting and the exact commit message please?

#2 - 2009-05-26 10:51 - Dmitry K

- File CaseSensSearch_en.png added

- File CaseSensSearch_ru_matches.png added

- File CaseSensSearch_ru_mismatches.png added

Insensitive search doesn't work with non-English words.

If I type an englilsh word - it's ok:

 

If russian - it works case sensitive:

Case matches:

 

Case mismatches:
https://www.redmine.org/projects/redmine/repository/svn/revisions/2637/entry/trunk/test/unit/changeset_test.rb#L26


#3 - 2009-05-26 11:29 - Denis Tomashenko

Your database in UTF8 ?

#4 - 2009-06-14 11:25 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to No feedback

Dmitry, this ticket is not about the search engine but fixing keywords in commit messages.

Derek, reopen if needed.
